//
// HTTPMediaType.swift
// ModestProposal
//
// Copyright (c) 2015 Justin Kolb - http://franticapparatus.net
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.
//

public enum HTTPMediaType : String {
    case ApplicationJSON = "application/json"
    case ApplicationOctetStream = "application/octet-stream"
    case ApplicationXML = "application/xml"
    case ApplicationXWWWFormURLEncoded = "application/x-www-form-urlencoded"
    case ApplicationZIP = "application/zip"
    case ApplicationZLIB = "application/zlib"
    case Audio3GPP = "audio/3gpp"
    case Audio3GPP2 = "audio/3gpp2"
    case AudioAIFF = "audio/aiff"
    case AudioAMR = "audio/amr"
    case AudioMP3 = "audio/mp3"
    case AudioMPEG3 = "audio/mpeg3"
    case AudioMP4 = "audio/mp4"
    case AudioMPEG = "audio/mpeg"
    case AudioWAV = "audio/wav"
    case ImageBMP = "image/bmp"
    case ImageGIF = "image/gif"
    case ImageJPEG = "image/jpeg"
    case ImagePNG = "image/png"
    case ImageSVGXML = "image/svg+xml"
    case ImageTIFF = "image/tiff"
    case MultipartAlternative = "multipart/alternative"
    case MultipartFormData = "multipart/form-data"
    case MultipartMixed = "multipart/mixed"
    case TextCSS = "text/css"
    case TextCSV = "text/csv"
    case TextHTML = "text/html"
    case TextPlain = "text/plain"
    case TextRTF = "text/rtf"
    case TextVCARD = "text/vcard"
    case TextXML = "text/xml"
    case Video3GPP = "video/3gpp"
    case Video3GPP2 = "video/3gpp2"
    case VideoAVI = "video/avi"
    case VideoMP4 = "video/mp4"
    case VideoOGG = "video/ogg"
    case VideoQuicktime = "video/quicktime"
}
